请选择 进入手机版 | 继续访问电脑版

雨哲插件

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
雨哲插件 开发进度/bug/意见建议 超强嵌入点 开发进度 增加 新版本兼容gp_变量的支持
  • 全部进度
  • 查看进度

增加 新版本兼容gp_变量的支持

插件 版本 分类 参考 状态 发布用户 发布时间 处理时间
超强嵌入点 v6.3 开发进度 -- 已完成 雨哲 2019-11-29 14:47 2019-11-29 14:46

如果没有在dz默认的配置文件中开启$_config['input']['compatible'] = 1;,则会出现后台页面管理提交保存的时候只提示成功,实际上并未保存的情况。

因为为了兼容dz旧版本,所以该插件一直采用了$_G[gp_xxx]的变量,如果新版本中未开启该变量的兼容,则会出现这个问题。

管理员回复:

临时解决:如果不想开启系统配置文件中的兼容功能,则需要手动修改文件 yuzhe_hook\function\admincp.php:

在文件的开始一个<?php的下面插入代码:

// fix:2019-11-29 配置文件中未开启兼容旧版$_G[gp_xx]变量的支持

if(empty($_G['config']['input']['compatible'])) {
foreach($_GET as $k => $v) {
$_G['gp_'.$k] = daddslashes($v);
}
}
分享到: 手机访问 分享给QQ好友 分享到QQ 分享到QQ空间 QQ空间 分享到新浪微博 新浪微博 分享到人人 人人网
企业微信 : 雨哲手机扫描添加到联系人手机扫描直接访问

QQ|关于我们|Archiver|手机版|小黑屋|雨哲插件

GMT+8, 2020-10-22 08:49 , Processed in 0.081148 second(s), 17 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

返回顶部